#include<iostream>
#include<cmath>
using namespace std;
int main()
{
	int n, m, c, x=0;
	cin>>n>>m;
	int b[m], a[n];
	for(int i=1; i<=m; i++)
	    cin>>b[i];
	for(int i=1; i<=n; i++)
	    a[i]=i;
	cin>>c;
	for(int i=0; i<=n-m; i++){
		for(int j=1; j<=m; j++)
            a[i + b[j]]=a[i + j];
	}
	for(int i=1; i<=n; i++){
		x=x+(pow(c, i)*a[i]);
	}
	cout<<x<<endl;
	return 0;
}